Bug 1571911 - [abrt] intel_plane_atomic_check_with_state: WARNING: CPU: 1 PID: 142 at drivers/gpu/drm/i915/intel_display.c:10290 intel_plane_atomic_calc_changes+0x1cc/0x550 [i915] [i915]
Summary: [abrt] intel_plane_atomic_check_with_state: WARNING: CPU: 1 PID: 142 at drive...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4aafe76a9dafc5bc10709920f1c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 16:51 UTC by Matt McAdoo
Modified: 2018-11-30 21:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:13:58 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (85.93 KB, text/plain)
2018-04-25 16:51 UTC, Matt McAdoo
no flags Details

Description Matt McAdoo 2018-04-25 16:51:03 UTC
Description of problem:
The system seems to be crashing when I close the lid to put it into Suspend, only time it has happened.  Dell Precision Mobile Workstation 7710

Additional info:
reporter:       libreport-2.9.3
WARNING: CPU: 1 PID: 142 at drivers/gpu/drm/i915/intel_display.c:10290 intel_plane_atomic_calc_changes+0x1cc/0x550 [i915]
Modules linked in: i915 nouveau ttm i2c_algo_bit drm_kms_helper rtsx_pci_sdmmc mmc_core mxm_wmi crct10dif_pclmul e1000e crc32_pclmul crc32c_intel drm nvme ghash_clmulni_intel serio_raw ptp nvme_core rtsx_pci pps_core wmi video
CPU: 1 PID: 142 Comm: kworker/u16:3 Not tainted 4.15.17-300.fc27.x86_64 #1
Hardware name: Dell Inc. Precision 7710/0NR6XM, BIOS 1.15.4 12/08/2017
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:intel_plane_atomic_calc_changes+0x1cc/0x550 [i915]
RSP: 0018:ffffb3258654f930 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff8cb7311ae100 RCX: 0000000000000000
RDX: 0000000000000001 RSI: 0000000000000002 RDI: 0000000000000246
RBP: ffff8cb731291800 R08: 0000000000000014 R09: ffffffff8a95c600
R10: ffff8cb7365d3000 R11: 0000000000000000 R12: ffff8cb73091ec00
R13: 0000000000000001 R14: 0000000000000001 R15: 0000000000000001
FS:  0000000000000000(0000) GS:ffff8cb77dc40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fc4cad56000 CR3: 0000000f6d20a002 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 intel_plane_atomic_check_with_state+0x12c/0x240 [i915]
 drm_atomic_helper_check_planes+0xcb/0x1c0 [drm_kms_helper]
 intel_atomic_check+0x42a/0x1240 [i915]
 drm_atomic_check_only+0x37c/0x540 [drm]
 drm_atomic_commit+0x13/0x50 [drm]
 restore_fbdev_mode_atomic+0x181/0x1f0 [drm_kms_helper]
 drm_fb_helper_restore_fbdev_mode_unlocked.part.30+0x23/0x70 [drm_kms_helper]
 drm_fb_helper_set_par+0x3e/0x70 [drm_kms_helper]
 intel_fbdev_set_par+0x16/0x60 [i915]
 fbcon_init+0x482/0x660
 visual_init+0xd5/0x130
 do_bind_con_driver+0x1f4/0x400
 do_take_over_console+0x7b/0x190
 do_fbcon_takeover+0x58/0xb0
 notifier_call_chain+0x47/0x70
 blocking_notifier_call_chain+0x3e/0x60
 ? down+0x12/0x50
 register_framebuffer+0x248/0x350
 __drm_fb_helper_initial_config_and_unlock+0x20e/0x450 [drm_kms_helper]
 ? __switch_to_asm+0x40/0x70
 intel_fbdev_initial_config+0x14/0x30 [i915]
 async_run_entry_fn+0x39/0x160
 process_one_work+0x175/0x390
 worker_thread+0x2e/0x380
 ? process_one_work+0x390/0x390
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 84 c0 41 be 01 00 00 00 0f 84 c8 fe ff ff 48 c7 c6 ef 33 7c c0 48 c7 c7 22 28 7c c0 4c 89 5c 24 20 4c 89 54 24 18 e8 d4 00 99 c8 <0f> 0b 31 c0 4c 8b 5c 24 20 4c 8b 54 24 18 e9 98 fe ff ff 4d 85

Comment 1 Matt McAdoo 2018-04-25 16:51:12 UTC
Created attachment 1426760 [details]
File: dmesg

Comment 2 Ben Cotton 2018-11-27 16:02:02 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 21:13:58 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.